%SOLFANGER ENERGI

%Regner ut vekting pr mnd gitt mlte verdier Oslo
maalt = [15;20;50;100;155;160;155;130;75;30;15;10];
sumMaalt = sum(maalt);
vekt = zeros(12,1);
kWhprm2 = 112;
solfangerAreal = 1000;
kWhTot = kWhprm2*solfangerAreal;
kWh_mnd = zeros(12,1);

for m = 1:12
    vekt(m) = maalt(m)/sumMaalt;
    kWh_mnd(m) = kWhTot*vekt(m);
end

kWh_dag_m = zeros(365,1);

dag = 1;
for m = 1:12
    if (m == 1 )|| (m==3) || (m==5) || (m == 7) || (m ==8) || (m==10) || (m ==12)
        for d = 1:31
            kWh_dag_m(dag) = kWh_mnd(m)/31;
            dag = dag + 1;
        end
    end
    if (m == 4) || (m==6) || (m==9) || (m==11)
        for d = 1:30
            kWh_dag_m(dag) = kWh_mnd(m)/30;
            dag = dag + 1;
        end
    end
    if m == 2
        for d = 1:28
            kWh_dag_m(dag) = kWh_mnd(m)/28;
            dag = dag + 1;
        end
    end
end

kWh_dag_14 = zeros(427,1); 
%Inneholder desemberverdier forst, deretter ett r, og januarverdier til slutt
for d = 1:427
    if d < 32
        kWh_dag_14(d) = kWh_mnd(12)/31;
    end
    if (d > 31) && (d < 397)
        kWh_dag_14(d)=kWh_dag_m(d-31);
    end
    if d > 396
        kWh_dag_14(d) = kWh_mnd(1)/31;
    end
end     

kWh_dag = zeros(365,1);
for d = 1:365
    kWh_dag(d) = mean(kWh_dag_14((d+16):(d+46)));
end
        
%Runder av til nrmeste 10er i kWh pr dag
kWh_dag = round(kWh_dag,-1);

filename = 'solenergiInn.xlsx';
sheet = 'solenergiInn';
xlswrite(filename,kWh_dag,sheet);

solMat = kWh_dag;

clear sheet filename kWh_dag d kWh_mnd kWh_dag_14 kWh_dag_m dag m
clear maalt sumMaalt vekt kWhprm2 solfangerAreal kWhTot
        
        