%LADING TERMISK BRNNER GJENNOM SOMMERNATT
filename = 'elspot-prices_2015_hourly_nok.xls';
xlRange = 'K3628:K6555';
elspotSommer = xlsread(filename,xlRange); %pris i NOK/MWh

elspotSommer = elspotSommer/1000; %Endrer til NOK/kWh

figure(1)
plot(elspotSommer(:,1)) %Skriver ut elspotprisen
xlabel('Timer')
ylabel('Pris [NOK/kWhh]')
grid on

nettLeie = 0.03; %3 re/kWh

elPrisSommer = elspotSommer + nettLeie;

kWh_lad = 369780;
antallDager = 122; %juni-sept
natt = 8; %Badet stengt fra 22-6
kWel = kWh_lad/(antallDager*natt); %Samme som kWh/t siden jevnt uttak
currCost = 0; %Kostnad som regnes ut gjennom iterasjon

for d = 1:122
    for h = 1:24
        if (h > 21) || (h < 6)
            currHour = h + ((d-1)*24);
            currCost = currCost + kWel*elPrisSommer(currHour,1);
        end
    end
end

elCost = currCost;



clear filename xlRange currCost currHour h d kWel kWh_lad antallDager natt
clear elspotSommer nettLeie