%SNSCRIPT
%Tar inn data p temperatur + nedbr. Skriver ut hvilke dager det snr.
%Antar det ikke er nedbr der nedbrsdata mangler.

%Id: Legge til skaleringsfakor basert p nedbrsmengde. Ny kolonne i
%snoMat som tas inn direkte.

filename = 'klimadataAskerAar.xlsx';
sheet = 'klimadataAskerAar';
xlRange = 'B17:M54';
tempMat = xlsread(filename,sheet,xlRange);
xlRange = 'B62:M92';
nedborMat = xlsread(filename,sheet,xlRange);
global snoMat

%Finner antall sndager til initialisering
snodager = 0;
for month = 1:12
    for day = 1:31
        if (tempMat(day,month)<2)&& (nedborMat(day,month) > 0)
            snodager = snodager +1;
        end
    end
end

snoMat = zeros(snodager,2);
snodager = 0;

dayspermonth = [31 28 31 30 31 30 31 31 30 31 30 31];
doy = 0;

%Lager matrise til excel med sndager i format dag i r, dag og mned
for month = 1:12
    for day = 1:31
        if (dayspermonth(month)>= day)
            doy = doy + 1;
            if (tempMat(day,month)<2)&& (nedborMat(day,month) > 0)
                snodager = snodager +1;
                snoMat(snodager,1) = doy;
                snoMat(snodager,2) = day;
                snoMat(snodager,3) = month;
            end
        end
    end
end

filename = 'snofalldager.xlsx';
sheet = 'snofalldager';
xlswrite(filename,snoMat,sheet);

clear day doy month dayspermonth filename sheet xlRange 
clear snodager tempMat nedborMat 